2017-05-26 13:26 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000035Cheat Enginepublic2008-05-21 13:32
ReporterItburnz 
Assigned ToDark Byte 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
Summary0000035: Pointer scanner stuck at "copying memory"
DescriptionI have experienced this issue before on my windows XP machine but after rebooting this issue always solved itself. On XP the pointerscanner got stuck at the "copying memory" status after the 3rd time you used it (per reboot). On my vista machine now it's always stuck - even after rebooting. (And it worked in the 1st place). I tried to reinstall cheat engine but that did not solve it.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000029resolvedDark Byte Possible Memory Leak via Pointer Scanner? 
related to 0000028resolvedDark Byte CE 64 bit bug on vista 
+Relationships

-Notes

~0000059

Itburnz (reporter)

Of course the statusbar also didnt move while it was stuck at "copying memory". When it 1st worked it was quite fast copying over the memory.

~0000060

Dark Byte (developer)

Copying memory can fail when you're out of memory.
Are you targeting a 64-bit process?

Try the option that says not to free up the copy at the end

~0000085

Itburnz (reporter)

Nope i'm on Vista32. I found a "workarround" for it. When it stops working i use the injection method instead...

BTW : when injecting the pscan.dll manually from the Memoryview screen it works perfectly. At least under vista it causes a crash when you try to do it from the address list (when rightclicking on the address)

~0000090

Dark Byte (developer)

probably related to the memory leak when making the full copy of the game's memory that was never released. One or twice would be enough to completely fill up the memory for a big game. And why it doesn't show up in the injected scanner,since that one doesn't make the copy

~0000091

Dark Byte (developer)

fixed no error showing and canceling scan when failing to allocate memory
+Notes

-Issue History
Date Modified Username Field Change
2008-03-16 15:35 Itburnz New Issue
2008-03-16 15:37 Itburnz Note Added: 0000059
2008-03-17 19:35 Dark Byte Note Added: 0000060
2008-03-17 19:35 Dark Byte Status new => acknowledged
2008-05-08 19:51 Itburnz Note Added: 0000085
2008-05-21 09:07 Dark Byte Relationship added related to 0000029
2008-05-21 09:08 Dark Byte Note Added: 0000090
2008-05-21 09:09 Dark Byte Status acknowledged => assigned
2008-05-21 09:09 Dark Byte Assigned To => Dark Byte
2008-05-21 13:32 Dark Byte Status assigned => resolved
2008-05-21 13:32 Dark Byte Resolution open => fixed
2008-05-21 13:32 Dark Byte Note Added: 0000091
2008-09-08 05:22 Dark Byte Relationship added related to 0000028
+Issue History